Catalog#

class sp_api.api.Catalog(marketplace: ~sp_api.base.marketplaces.Marketplaces = Marketplaces.US, *, refresh_token=None, account='default', credentials=None, restricted_data_token=None, proxies=None, verify=True, timeout=None, version=None, credential_providers=None, auth_token_client_class=<class 'sp_api.auth.access_token_client.AccessTokenClient'>)#
Link:

amzn/selling-partner-api-docs

get_item(self, asin, **kwargs) ApiResponse#

Returns a specified item and its attributes.

Examples

literal blocks:

Catalog().get_item("value")
Parameters:
  • asin

    required

  • **kwargs

Returns:

ApiResponse

list_items(self, **kwargs) ApiResponse#

Returns a list of items and their attributes, based on a search query or item identifiers that you specify. When based on a search query, provide the Query parameter and optionally, the QueryContextId parameter. When based on item identifiers, provide a single appropriate parameter based on the identifier type, and specify the associated item value. MarketplaceId is always required.

Examples

literal blocks:

Catalog().list_items()
Parameters:

**kwargs

Returns:

ApiResponse

list_categories(self, **kwargs) ApiResponse#

Returns the parent categories to which an item belongs, based on the specified ASIN or SellerSKU

Examples

literal blocks:

Catalog().list_categories()
Parameters:

**kwargs

Returns:

ApiResponse